QGIS Application - Bug report #9609
Crash during WFS GetFeature request
2014-02-20 05:27 AM - Marcel van Beurden

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18186
Description

I'm trying to get an internal WFS 1.1.0 service running in QGIS. QGIS unfortunately only supports 1.0.0 so I'm trying to tweak the service
to make it acceptable for QGIS. | got to the point that the GetCapabilities and DescribeFeature Type request seem to be working. But
when it tries to do a GetFeature request, it crashes. This might be the case because my WFS XML/GML might not be compliant, but |
expect QGIS to notify me of that. Instead it crashes.

QGIS created a dump file, but it's too big to attach to this bug, so | put it on my server (zipped, 5.8 MB):
https://marsnix.nl/qgis/qgis-20140220-140455-10564-9052-ebebdf3.zip

Please contact me if more information is necessary.

Associated revisions

Revision 980b1042 - 2014-06-23 05:27 PM - Martin Dobias

Fix #9609 (crash with WFS)

History

#1 - 2014-02-20 08:41 AM - Martin Dobias

Please test with the latest development version of QGIS - there have been some fixes to crashes in WFS, so your problem may have been fixed in the

meanwhile (could be duplicate of #8979)

#2 - 2014-02-20 08:41 AM - Martin Dobias

- Status changed from Open to Feedback

#3 - 2014-03-12 07:46 AM - Adam Colligan

Hello, | am also experiencing this issue, but | am using the latest development version of QGIS in Ubuntu 14.04.

EDIT: | should add that | am pulling data that is marked as compliant with WFS 2.0.0 (http://www.centraltexashub.org/kiwis.htm )

The console error is:

QGIS died on signal 11ptrace: Operation not permitted.
No thread selected

No stack.

gdb returned 0
http://www.centraltexashub.org/kiwis.htm

Aborted (core dumped)

My version specifics are:

QGIS version 2.3.0-Master

QGIS code revision exported

Compiled against Qt 4.8.6

Running against Qt 4.8.6

Compiled against GDAL/OGR 1.10.1
Running against GDAL/OGR  1.10.1
Compiled against GEOS 3.4.2-CAPI-1.8.2
Running against GEOS  3.4.2-CAPI-1.8.2 r3921
PostgreSQL Client Version 9.3.3
SpatiaLite Version 4.1.1

QWT Version 5.2.3

PROJ.4 Version 480

QScintilla2 Version

#4 - 2014-06-23 04:47 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version set to Version 2.4

- Affected QGIS version changed from 2.0.1 to master
- Operating System deleted (Windows)

crash confirmed, try for example

http://crwr-wisk03.crwr.utexas.edu/KiWIS/KiWIS ?datasource=0&#38;service=WFS&#38;request=GetCapabilities

giovanni@sibirica ~/Desktop/lixo $ qgis

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]
Warning: QGraphicsScene::addltem: item has already been added to this scene
QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread _db.so.1".
[New Thread 0x7f5f4dccc700 (LWP 4067)]

[New Thread 0x7f5f4e4cd700 (LWP 4066)]

[New Thread 0x7f5f4ecce700 (LWP 4065)]

[New Thread 0x7f5f606be700 (LWP 4056)]

[New Thread 0x7f5fb63d5700 (LWP 4055)]

[New Thread 0x7f5fb6cee700 (LWP 4054)]

0x00007f5fd248accd in waitpid () from /lib/x86_64-linux-gnu/libc.s0.6
[Current thread is 1 (Thread 0x7f5fd97837c0 (LWP 4053))]

#0 0x00007f5fd248accd in waitpid () from /lib/x86_64-linux-gnu/libc.s0.6

No symbol table info available.

#1 0x000000000044860 in qgisCrash(int) ()

No symbol table info available.

(
(

(
(

#2 <signal handler called>
No symbol table info available.

#3 0x00007f5fd61a6e3c in QgsGml::getPointWKB(unsigned char**, int*, QgsPoint const&) const () from /ust/lib/libggis_core.s0.2.3.0

No symbol table info available.
#4 0x00007f5fd61ad59e in QgsGml::endElement(char const*) () from /ust/lib/libagis_core.s0.2.3.0

No symbol table info available.

#5 0x00007f5fd03576f4 in ?? () from /lib/x86_64-linux-gnu/libexpat.so.1

No symbol table info available.

#6 0x00007f5fd0358951 in ?? () from /lib/x86_64-linux-gnu/libexpat.so.1

No symbol table info available.

#7 0x00007f5fd03557¢7 in ?? () from /lib/x86_64-linux-gnu/libexpat.so.1

No symbol table info available.

#8 0x000075fd035717b in ?? () from /lib/x86_64-linux-gnu/libexpat.so.1

No symbol table info available.

#9 0x00007f5fd035a75d in XML_ParseBuffer () from /lib/x86_64-linux-gnu/libexpat.so.1

No symbol table info available.

#10 0x00007f5fd61a8c73 in QgsGml::getFeatures(QString const&, QGis::WkbType*, QgsRectangle*, QString const&, QString const&) () from
/usr/lib/libqgis_core.s0.2.3.0

No symbol table info available.

#11 0x00007f5f6424c5b4 in QgsWFSProvider::getFeatureGET(QString const&, QString const&) () from /ust/lib/qgis/plugins/libwfsprovider.so
No symbol table info available.

#12 0x00007f5f6424e9e4 in QgsWFSProvider::reloadData() () from /ust/lib/qgis/plugins/libwfsprovider.so

No symbol table info available.

#13 0x000075f6424f172 in QgsWFSProvider::QgsWFSProvider(QString const&) () from /usr/lib/qgis/plugins/libwfsprovider.so

No symbol table info available.

#14 0x00007f5f6424f5b9 in classFactory () from /usr/lib/qgis/plugins/libwfsprovider.so

No symbol table info available.

#15 0x000075fd625ccad in QgsProviderRegistry::provider(QString const&, QString const&) () from /usr/lib/libggis_core.s0.2.3.0
No symbol table info available.

#16 0x00007f5fd62b48b1 in QgsVectorLayer::setDataProvider(QString const&) () from /usr/lib/libqgis_core.s0.2.3.0

No symbol table info available.

#17 0x00007f5fd62b56df in QgsVectorLayer::QgsVectorLayer(QString, QString, QString, bool) () from /ust/lib/libqgis_core.s0.2.3.0
No symbol table info available.

#18 0x00000000005187f5 in QgisApp::addVectorLayer(QString, QString, QString) ()

No symbol table info available.

#19 0x0000000000518bc2 in QgisApp::addWfsLayer(QString, QString) ()

No symbol table info available.

#20 0x00000000007f7a29 in ?7? ()

No symbol table info available.

#21 0x00007f5fd50a6281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
No symbol table info available.

#22 0x000075f64265367 in QgsWFSSourceSelect::addWfsLayer(QString, QString) () from /usr/lib/qgis/plugins/libwfsprovider.so
No symbol table info available.

#23 0x000075f64260c40 in QgsWFSSourceSelect::addLayer() () from /usr/lib/qgis/plugins/libwfsprovider.so

No symbol table info available.

#24 0x00007f5f6426556d in ?? () from /usr/lib/qgis/plugins/libwfsprovider.so

No symbol table info available.

#25 0x00007f5fd50a6281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#26 0x00007f5fd4aadcb2 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x000075fd47e2a8e in ?7? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007f5fd47e3dcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007f5fd47e403c in QAbstractButton::mouseReleaseEvent(QMouseEvent™) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.
#30 0x00007f5fd4465144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#31 0x000075fd44 14894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#32 0x00007f5fd441a0bf in QApplication::notify(QObject*, QEvent*) () from /ust/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#33 0x00007f5fd6124646 in QgsApplication::notify(QObject*, QEvent*) () from /ust/lib/libqgis_core.s0.2.3.0

No symbol table info available.

#34 0x000075fd5091e9c in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
No symbol table info available.

#35 0x000075fd4415862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,
bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#36 0x000075fd4494c35 in ?7? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#37 0x00007f5fd4493bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f5fd44bd112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#39 0x00007f5fd0f2dd 13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#40 0x000075fd0f2e060 in ?7? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#41 0x00007f5fd0f2e124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#42 0x00007f5fd50c13bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#43 0x00007f5fd44bcd9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#44 0x000075fd5090c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#45 0x00007f5fd5090ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#46 0x00007f5fd48e4976 in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#47 0x0000000000500880 in QgisApp::addWisLayer() ()

No symbol table info available.

#48 0x00000000007f8d0a in ?? ()

No symbol table info available.

#49 0x00007f5fd50a6281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#50 0x000075fd440e132 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#51 0x00007f5fd440e31f in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#52 0x00007f5fd47e3d8a in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#53 0x000075fd47e403c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#54 0x000075fd48a161a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#55 0x00007f5fd4465144 in QWidget::event(QEvent®) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#56 0x00007f5fd4414894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#57 0x00007f5fd441a0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#58 0x00007f5fd6124646 in QgsApplication::notify(QObject*, QEvent*) () from /ust/lib/libagis_core.s0.2.3.0

No symbol table info available.

#59 0x000075fd5091e9c in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
No symbol table info available.

#60 0x00007f5fd4415862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,
bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#61 0x000075fd4494c35 in ?7? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#62 0x00007f5fd4493bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#63 0x00007f5fd44bd112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#64 0x000075fd0f2dd13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#65 0x00007f5fd0f2e060 in ?7? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#66 0x00007f5fd0f2e124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#67 0x00007f5fd50c1426 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#68 0x00007f5fd44bcd9e in ?7? () from /ust/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#69 0x00007f5fd5090c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#70 0x00007f5fd5090ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4
No symbol table info available.

#71 0x00007f5fd5095f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#72 0x00000000004e€e€91 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#5 - 2014-06-23 08:30 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"980b1042ccc108b7a5920440cf681f8756e5dc01".

#6 - 2014-06-23 08:32 AM - Martin Dobias

QGIS does not crash anymore, but it will not parse the points correctly as it does not support <gml:coord> tag which seems to be deprecated.
